DMMPST(1)                                                            DMMPST(1)

NAME
       dmmpst - DooM MaP StaTistics

SYNOPSIS
       dmmpst [ -? ] [ -w main WAD file ] [ -pw patch WAD file ] [ -file patch
       WAD files ...  ] [ +v ] [ +k|+s|+d|+t ] [ +b ] [ -n name ]  -e  episode
       -m mission [ -i DoomWiki_templates_dir ] [ -o DoomWiki_file ]

AVAILABILITY
       dmmpst  is  derived  from  dmpsmu / dmpsmap and dmtxls, which have been
       tested  on  SunOS  4.1,  IRIX  4.0,  Ultrix  4.3,  HP-UX   9.0,   Linux
       1.0.9/2.6/3.13  and Windows 32/64-bit, so dmmpst should run fine on the
       same.

DESCRIPTION
       dmmpst is a command-line utility to generate map statistics  of  levels
       in  DOOM,  DOOM ][, Ultimate DOOM, Heretic, Heretic: Shadow of the Ser-
       pent Riders, Hexen and Hexen: Deathkings of the Dark  Citadel,  the  3D
       action  games by id Software and Raven Software; as well as Strife, the
       3D action role-playing game by Rogue Entertainment.

       Its primary purpose is to use the included templates to generate output
       suitable  for  Doom  Wiki (http://doomwiki.org/) map pages, or sections
       thereof.  Statistics displayed include the map’s dimensions,  structure
       counts, and a list of secret sectors.

OPTIONS
       Options  are  case-insensitive  and filenames and level names are case-
       sensitive.  Both the short and long forms of the options are listed.

       -? -h -help
              Displays usage information.

       -w -main
              Specifies the name of the main WAD file;  default  is  DOOM.WAD.
              Eg. to use the DOOM ][ main WAD file, specify: -w DOOM2.WAD.

       -pw -pwad
              Specifies  the  name of a patch WAD file.  Eg. to merge a single
              patch WAD file, specify: -pw <file>.WAD.

       -file  Specifies a list of names of patch WAD files.  Eg. to merge sev-
              eral  patch  WAD  files,  specify: -file <file1>.WAD <file2>.WAD
              <file3>.WAD .

       +v +verbose
              Turns on verbose listing of map statistics (default off).

       +k +skeleton
              Turns on generation of  complete  skeleton  (skeleton.tpl  which
              includes  map_data.tpl & things.tpl) into DoomWiki file (default
              off). Implies +d and +t.

       +s +statistics
              Turns  on  generation  of  statistics  section  (map_data.tpl  &
              things.tpl) into DoomWiki file (default off). Implies +d and +t.

       +d +mapdata
              Turns on generation of map  data  template  (map_data.tpl)  into
              DoomWiki file (default off).

       +t +things
              Turns   on  generation  of  things  template  (things.tpl)  into
              DoomWiki file (default off).

       +b +boommp
              Count Boom multiplayer things  instead  of  classic  multiplayer
              (default off).

       -n -name
              Specifies  the  user  level  name to be used when generating the
              statistics.  Overrules the regular name  for  that  episode/mis-
              sion.  Eg.  to  set  the name for a patch WAD level, specify: -n
              <patch level name> .

       -e -episode
              Specifies the episode  number  for  DOOM/Heretic  levels,  or  0
              (zero)  for  DOOM ][/Hexen/Strife levels. Eg. to set the episode
              for level Mt. Erebus, specify: -e 3.

       -m -mission
              Specifies the mission number for DOOM/Heretic levels, or the map
              number  for  DOOM ][/Hexen/Strife levels. Eg. to set the mission
              for level Mt. Erebus, specify: -m 6.

       -i -wikitempl
              Specifies the path to the input  DoomWiki  templates  directory;
              default  is  the currect directory. Eg. to define a central tem-
              plates directory, specify: -i /usr/local/share/dw_templates.

       -o -wikifile
              Specifies the name of the output DoomWiki file. Eg. to define an
              output file for level Mt. Erebus, specify: -o E3M6.lst.

       The  options v, k, s, d, t and b are actually booleans that can be pre-
       ceded by + or -.

NOTES
       When a map contains Things with Boom multiplayer flags and the +b  flag
       is off, a warning is shown to turn it on.

       When  a  map contains Things without skill flags, their number and type
       ID are displayed, and they are not included in the Things table.

       For Strife’s IWAD maps, generic actors are translatated  to  level-spe-
       cific  major  and  minor  characters.  If one or more PWADs are loaded,
       this translation is disabled.

EXAMPLE
       The command:

         dmmpst -file foobar.wad -name FooBar -e 1 -m 1 +V +S -o foobar.lst

       illustrates how various forms of the options can be mixed and gives the
       following messages:

         DMMPST: DooM MaP StaTistics, ver 1.2
          By Frans P. de Vries <fpv@gamers.org>
         [Derived from DEU v5.21 GCC by Brendon Wyber and Raphael Quinet]

         Patch WAD file: foobar.wad.
         User level name: FooBar.
         Episode number: 1.
         Mission number: 1.
         Verbose statistics.
         Statistics wiki output.
         DoomWiki output file: foobar.lst.
         Loading main WAD file: DOOM.WAD...
         Loading patch WAD file: foobar.wad...
            [Updating level E1M1]

         Outputting DoomWiki template of level E1M1 to "foobar.lst".

SEE ALSO
       DEU  5.21, by Raphael Quinet and Brendon J. Wyber, ported to GCC by Per
       Allansson and Per Kofod

       DOOM Specs v1.666, by Matt Fell

       Doom Wiki at http://doomwiki.org/

DIAGNOSTICS
       dmmpst can terminate with error messages in the following format:
              Program Error: *** <error message> ***
       The messages are fairly self-explanatory and are therefore not repeated
       here.

AUTHOR
       Frans P. de Vries <fpv@gamers.org>

DMMPST                            10 Oct 2016                        DMMPST(1)
